import _Vue from 'vue';
import * as Utils from './utils';
import { DocumentNode } from 'graphql';
export interface IVueOOPProvider {
    name: string;
    rest?: boolean;
    graphql?: boolean;
    schema?: DocumentNode;
    schemaUrl?: string;
    httpEndpoint?: string;
    wsEndpoint?: string;
    createProvider?: () => unknown;
}
export interface IVueOOPOptions extends IVueOOPProvider {
    debug?: boolean;
    providers?: IVueOOPProvider[];
}
export declare class VueOOPOptions implements IVueOOPOptions {
    name: string;
    rest: boolean;
    graphql: boolean;
    schema: DocumentNode;
    schemaUrl: string;
    httpEndpoint: string;
    wsEndpoint: string;
    debug: boolean;
    createProvider?: () => unknown;
}
declare function VueOOP<VueOOPOptions>(Vue: typeof _Vue, options?: VueOOPOptions): void;
export default VueOOP;
export { default as Registry } from './Registry';
export { default as Repository } from './repositories/Repository';
export { default as Model } from './models/Model';
export { default as Collection } from './models/Collection';
export { default as BaseException } from './models/Exceptions/BaseException';
export { default as InvalidArgumentException } from './models/Exceptions/InvalidArgumentException';
export { default as UnexpectedException } from './models/Exceptions/UnexpectedException';
export { default as UnauthorizedException } from './models/Exceptions/UnauthorizedException';
export { default as ValidationException } from './models/Exceptions/ValidationException';
export { Utils, VueOOP };
//# sourceMappingURL=index.d.ts.map