import ApolloClient, { ApolloQueryResult } from 'apollo-client';
import { FetchResult } from 'apollo-link';
import { DocumentNode, IntrospectionQuery } from 'graphql';
import { Config, KeyValueUnknown, ResolvingRESTOptions } from './typings';
export declare const defaultRESTHeaders: {
    Accept: string;
    'Content-Type': string;
};
export declare function getApolloClient(providerName?: string): ApolloClient<unknown>;
export declare function camelToKebab(input: string): string;
export declare function queryParams(params: any, camelToKebabActive?: boolean): string;
export declare function performSafeRequestREST(url: any, params?: {}, method?: string, opts?: KeyValueUnknown): Promise<any>;
export declare function performGqlQuery(query: any, variables: any, providerName?: string): Promise<ApolloQueryResult<any>>;
export declare function performGqlMutation(mutation: any, variables: any, providerName?: string): Promise<FetchResult<any, Record<string, any>, Record<string, any>>>;
export declare function performGqlSubscription(subscription: any, variables: any, providerName?: string): Promise<import("apollo-client/util/Observable").Observable<FetchResult<any, Record<string, any>, Record<string, any>>>>;
export declare function stripTypename<T>(obj: T): import("./typings").DeepOmit<T, "__typename"> | Pick<T, Exclude<keyof T, "__typename">>;
export declare function stripTypenameDefault<T>(obj: T): Omit<T, "__typename">;
export declare function performSafeRequestGraphql(query: DocumentNode, variables?: {}, providerName?: string): Promise<any>;
export declare function registryGet(key: string): unknown;
export declare function config(name?: string): Config;
export declare function getParsedSchema(configName?: string): Promise<DocumentNode>;
export declare function getSchemaTypeFields(typeName: any, configName?: string): Promise<string[]>;
export declare function getSchemaMutation(mutationName: any, configName?: string): Promise<import("graphql").FieldDefinitionNode>;
export declare function getSchemaQuery(queryName: any, configName?: string): Promise<import("graphql").FieldDefinitionNode>;
export declare function getUrl(_opts: ResolvingRESTOptions): Promise<string>;
export declare function stripObject(obj: any): any;
export declare function fetchIntrospectionSchema(url: string): Promise<IntrospectionQuery>;
export declare const isClass: (fn: CallableFunction) => boolean;
export declare const isSubscription: (data: any) => any;
//# sourceMappingURL=utils.d.ts.map